tomee-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Struberg <strub...@yahoo.de>
Subject Re: Deltaspike 1.0.0 issue?
Date Sun, 22 Jun 2014 17:33:26 GMT
+1

Put all except maybe deltaspike-jsf into the ear lib.

LieGrue,
strub



> On Sunday, 22 June 2014, 17:52, Romain Manni-Bucau <rmannibucau@gmail.com> wrote:
> > Weird, i would have expected everything excepted jsf modules in common libs
> only.
> 
> 
> Le dimanche 22 juin 2014, hwaastad <helge@waastad.org> a écrit :
>>  Yeah,
>>  I done quite a bit of testing and this is what I've come to:
>> 
>>  ear:
>>   <dependency>
>>              <groupId>org.apache.deltaspike.core</groupId>
>>              <artifactId>deltaspike-core-api</artifactId>
>>          </dependency>
>> 
>>  ejb:
>> 
>>  <dependency>
>>              <groupId>org.apache.deltaspike.modules</groupId>
>>              <artifactId>deltaspike-data-module-api</artifactId>
>>              <scope>compile</scope>
>>          </dependency>
>>          <dependency>
>>              <groupId>org.apache.deltaspike.modules</groupId>
>>             
> <artifactId>deltaspike-data-module-impl</artifactId>
>>              <scope>runtime</scope>
>>              <exclusions>
>>                  <exclusion>
>>                     
> <groupId>org.apache.deltaspike.core</groupId>
>>                     
> <artifactId>deltaspike-core-impl</artifactId>
>>                  </exclusion>
>>                  <exclusion>
>>                     
> <groupId>org.apache.deltaspike.core</groupId>
>>                     
> <artifactId>deltaspike-core-api</artifactId>
>>                  </exclusion>
>>              </exclusions>
>>          </dependency>
>> 
>>  war:
>> 
>>  <dependency>
>>              <groupId>org.apache.deltaspike.core</groupId>
>>              <artifactId>deltaspike-core-api</artifactId>
>>              <scope>compile</scope>
>>          </dependency>
>>          <dependency>
>>              <groupId>org.apache.deltaspike.core</groupId>
>>              <artifactId>deltaspike-core-impl</artifactId>
>>              <scope>runtime</scope>
>>          </dependency>
>>          <dependency>
>>              <groupId>org.apache.deltaspike.modules</groupId>
>>              <artifactId>deltaspike-jsf-module-api</artifactId>
>>              <scope>compile</scope>
>>          </dependency>
>>          <dependency>
>>              <groupId>org.apache.deltaspike.modules</groupId>
>>              <artifactId>deltaspike-jsf-module-impl</artifactId>
>>              <scope>runtime</scope>
>>          </dependency>
>> 
>> 
>>  This wil not add core-impl to ear/lib but only api
>> 
>>  For those interested:
>>  https://github.com/hwaastad/TomeeDeltaEar.git
>> 
>>  Works now on one web app.
>>  I will see if this will work on my real ear project.
>> 
>>  br hw
>> 
>> 
>> 
>> 
>> 
>>  --
>>  View this message in context:
> http://tomee-openejb.979440.n4.nabble.com/Deltaspike-1-0-0-issue-tp4670123p4670136.html
>>  Sent from the TomEE Users mailing list archive at Nabble.com.
>> 
> 
> -- 
> 
> 
> Romain Manni-Bucau
> Twitter: @rmannibucau
> Blog: http://rmannibucau.wordpress.com/
> LinkedIn: http://fr.linkedin.com/in/rmannibucau
> Github: https://github.com/rmannibucau
> 

Mime
View raw message